Bug 501761 - libguestfs requires qemu, not qemu-system-x86 or qemu-system-ppc
libguestfs requires qemu, not qemu-system-x86 or qemu-system-ppc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-20 11:54 EDT by Mark McLoughlin
Modified: 2009-07-19 06:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.58-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-05-20 11:54:49 EDT
libguestfs pulls in the qemu meta-package when instead it should require qemu-system-x86 or qemu-system-ppc
Comment 1 Richard W.M. Jones 2009-05-20 12:30:44 EDT
Yup, this is a bug for sure.  Will fix, probably
not today though.
Comment 2 Richard W.M. Jones 2009-05-20 13:57:29 EDT
Mark, some questions:

I have a feeling that if /usr/bin/qemu-kvm (the binary)
exists, as it does on %{ix86} and x86_64, I should probably
just do:

BuildRequires: /usr/bin/qemu-kvm

The alternative would be to depend on the qemu-kvm package.

Any thoughts on that?  But ...

/usr/bin/qemu-kvm is provided by qemu-system-x86, and
qemu-kvm (the package) seems to be an empty virtual package
which requires qemu-system-x86.  Is qemu-kvm meant as
a placeholder for "any arch that might have KVM in the
future", or is it an obsolete package?

On PPC I guess KVM is not supported (in Fedora, but apparently
it *is* by upstream - is this right?)

So just a suggestion:
if qemu-kvm is a placeholder for "any future arch that has
KVM", perhaps we should have a qemu-no-kvm package which
is a placeholder for the non-KVM-supported arches?
Comment 3 Richard W.M. Jones 2009-05-20 13:58:48 EDT
(In reply to comment #2)
> So just a suggestion:
> if qemu-kvm is a placeholder for "any future arch that has
> KVM", perhaps we should have a qemu-no-kvm package which
> is a placeholder for the non-KVM-supported arches?  

Actually on small reflection I don't think this makes
any sense, since who would want to build only for non-KVM
archs?  So ignore that bit, but the rest of the question
above still stands!
Comment 4 Mark McLoughlin 2009-05-21 03:56:18 EDT
Oh, I hadn't realized - qemu-kvm on ppc/ppc64 requires qemu-system-ppc

Easiest just to require qemu-kvm and carry on :-)

We don't ship KVM ppc support in Fedora yet, but AFAIK it's just a lack of someone motivated enough to make it happen
Comment 5 Richard W.M. Jones 2009-05-21 04:25:36 EDT
Rebuilt for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1367948
Comment 6 Fedora Update System 2009-05-21 04:57:55 EDT
libguestfs-1.0.27-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.27-1.fc11.2
Comment 7 Fedora Update System 2009-05-21 19:23:08 EDT
libguestfs-1.0.27-1.fc11.2 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5279
Comment 8 Fedora Update System 2009-05-26 06:38:54 EDT
libguestfs-1.0.32-1.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.32-1.fc11.1
Comment 9 Fedora Update System 2009-05-27 09:24:00 EDT
libguestfs-1.0.33-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.33-1.fc11
Comment 10 Fedora Update System 2009-05-28 03:56:52 EDT
libguestfs-1.0.33-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5537
Comment 11 Fedora Update System 2009-05-29 02:04:10 EDT
libguestfs-1.0.36-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.36-1.fc11.2
Comment 12 Fedora Update System 2009-05-29 22:37:11 EDT
libguestfs-1.0.36-1.fc11.2 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5700
Comment 13 Fedora Update System 2009-06-02 11:10:45 EDT
libguestfs-1.0.38-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.38-1.fc11
Comment 14 Fedora Update System 2009-06-04 11:39:37 EDT
libguestfs-1.0.41-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.41-1.fc11
Comment 15 Fedora Update System 2009-06-04 17:22:36 EDT
libguestfs-1.0.38-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5936
Comment 16 Fedora Update System 2009-06-06 13:58:22 EDT
libguestfs-1.0.42-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.42-1.fc11
Comment 17 Bug Zapper 2009-06-09 12:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Fedora Update System 2009-06-23 05:15:23 EDT
libguestfs-1.0.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.51-1.fc11
Comment 19 Fedora Update System 2009-06-26 22:54:49 EDT
libguestfs-1.0.51-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7011
Comment 20 Fedora Update System 2009-06-29 15:28:00 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 21 Fedora Update System 2009-07-02 01:54:53 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7285
Comment 22 Fedora Update System 2009-07-02 19:26:48 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 23 Fedora Update System 2009-07-11 05:27:46 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 24 Fedora Update System 2009-07-11 13:13:08 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-07-19 06:28:26 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.